PDA

View Full Version : [ubuntu] Can only play avi format movies.



Neoncamouflage
August 17th, 2011, 06:36 AM
I run Ubuntu 10.10. I have the restricted extras installed, I've tried the standard movie player and VLC. I cannot play any sort of video file unless it is in .avi format, then the standard movie player will play it. If I place a dvd/blu-ray in the cd tray (and yes it reads both) then it cannot play them, if I download other movie formats then it is unable to play them.

I would really like to be able to actually watch my movies on Ubuntu, but as it is I can only play them on my Windows computer. Any suggestions?

nomko
August 17th, 2011, 06:45 AM
Did you also installed the extra multimedia files from Medibuntu?
Check my English site where you can read how to add multimedia.

mastablasta
August 17th, 2011, 07:25 AM
also i am not sure blu ray is alrady supported. i could be wrong though...

nomko
August 17th, 2011, 08:00 AM
Did you checked the section about full DVD playback? If you follow the instruction of how to get full dvd playback, it migth help you.

seawolf167
August 17th, 2011, 03:42 PM
You should get a couple extra items:


sudo apt-get update
sudo apt-get install ubuntu-restricted-extras
sudo apt-get install libdvdread4
sudo /usr/share/doc/libdvdread4/install-css.sh
sudo apt-get install vlcThen see if you can play the dvds, video files with mplayer or vlc

Neoncamouflage
August 18th, 2011, 01:53 AM
I had already installed vlc and the restricted extras, and I update just as part of my daily routine when I turn on the computer, so it wasn't that. I went through the site for dvd playback and was able to watch a movie that I had tried repeatedly before, so I'm quite happy about that. Have not gotten around to trying a blu-ray again yet but hopefully it's all fixed now. Thanks guys.

seawolf167
August 18th, 2011, 01:45 PM
I update just as part of my daily routine when I turn on the computer

Just want to make sure when you "update" you do the update & upgrade right?


sudo apt-get update && sudo apt-get upgrade

If everything has been worked out, please mark the thread as solved